Author Topic: Text Rotation  (Read 5942 times)

0 Members and 1 Guest are viewing this topic.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Text Rotation
« Reply #15 on: September 07, 2005, 04:14:24 PM »
OK, here is another version, single select.

Code: [Select]
(defun c:txt2ang0 (/ obj ent)
  (vl-load-com)
  (and
    (setq ent (entsel "\nSelect text to change angle to zero"))
    (member (cdr (assoc 0 (entget (car ent)))) '("TEXT" "MTEXT"))
    (setq obj (vlax-ename->vla-object (car ent)))
    (vlax-put-property obj 'Rotation 0.0)
  )
  (princ)
)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.